Module | Tk::Tcllib::Widget
In: | tk/lib/tkextlib/tcllib/widget.rb tk/lib/tkextlib/tcllib/superframe.rb tk/lib/tkextlib/tcllib/scrollwin.rb tk/lib/tkextlib/tcllib/screenruler.rb tk/lib/tkextlib/tcllib/ruler.rb tk/lib/tkextlib/tcllib/panelframe.rb tk/lib/tkextlib/tcllib/dialog.rb

### Methods

package_name package_version

### Classes and Modules

Class Tk::Tcllib::Widget::Dialog
Class Tk::Tcllib::Widget::PanelFrame
Class Tk::Tcllib::Widget::Ruler
Class Tk::Tcllib::Widget::ScreenRuler
Class Tk::Tcllib::Widget::ScrolledWindow
Class Tk::Tcllib::Widget::SuperFrame

### Constants

PACKAGE_NAME | = | 'widget'.freeze
Superframe | = | SuperlFrame
Scrolledwindow | = | ScrolledWindow
Screenruler | = | ScreenRuler
Panelframe | = | PanelFrame

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/tcllib/widget.rb, line 18
        def self.package_name
          PACKAGE_NAME
        end

package_version()

[Source]

    # File tk/lib/tkextlib/tcllib/widget.rb, line 22
        def self.package_version
          begin
            TkPackage.require('widget')
          rescue
            ''
          end
        end

[Validate]